Chapter 3 - The GraphQL Language
==================
In this chapter, we'll start writing GraphQL queries using the GraphQL query language. The query string syntax is consistent for all GraphQL APIs, regardless of what language the service is written in. Throughout this chapter, we'll explore the ins-and-outs of the query language and how a GraphQL operation is parsed by a GraphQL server.

Resource Links
----

### Query Language Tools
* [GraphiQL](https://github.com/graphql/graphiql): An in-browser IDE for exploring GraphQL APIs.
* [GraphQL Playground](https://github.com/prismagraphql/graphql-playground): A GraphQL IDE for writing queries in the GraphQL Query Language.
* [GraphQL Bin](https://www.graphqlbin.com/v2/new): An online version of GraphQL Playground. Simply enter a GraphQL endpoint, and all of the schema documentation will be present in the `schema` tab. 
* [GraphQL Bin - SWAPI](https://www.graphqlbin.com/RVIn): This link takes you to a SWAPI example in GraphQL Bin.
* [Apollo Launchpad](https://launchpad.graphql.com/new): Apollo's GraphQL Server demo platform

### Chapter Examples
* [Snowtooth API](http://snowtooth.moonhighway.com): The Snowtooth Mountain GraphQL API
* [Union Types](https://launchpad.graphql.com/r94qxj5q4n): Union types sample 
* [Interfaces](https://launchpad.graphql.com/j8r375km3p): Interfaces sample 
