Chapter 4 - Designing a Schema
==================
GraphQL changes the way that applications are designed.  Instead of looking at your APIs as a collection of REST endpoints, you are going to start to look at your APIs as a collection of types. The blueprint for a GraphQL API is the schema. In this chapter, we'll learn more about GraphQL's type system and schema definition language. 

Resource Links
------
* [Schema First Development by Danielle Man](https://conferences.oreilly.com/fluent/fl-ca-2017/public/schedule/detail/58715): A great talk about schema first development by Danielle Man from the Apollo team
* [GraphQL Schema Design](https://blog.apollographql.com/graphql-schema-design-building-evolvable-schemas-1501f3c59ed5): A blog article by Marc-Andre Giroux from GitHub about building evolvable schemas
* [Schema Language Cheat Sheet](https://github.com/sogko/graphql-schema-language-cheat-sheet): An overview of the main features in GraphQL schemas. Hang this at your desk! 

### Chapter Examples
* [City to City Through Types - Launchpad](https://launchpad.graphql.com/lk3qk3zq7q): Through types sample on Apollo GraphQL's Launchpad
* [Union Types - Launchpad](https://launchpad.graphql.com/r94qxj5q4n): Union types sample on Launchpad
* [Interfaces - Launchpad](https://launchpad.graphql.com/j8r375km3p): Interfaces sample on Launchpad

