Chapter 7 - GraphQL in the Real World
==================
So far, you have designed a schema, constructed a GraphQL API, and implemented a client using Apollo Client and React. We've taken one complete full stack iteration with GraphQL and developed an understanding of how GraphQL APIs are consumed by clients. In this chapter, we'll prepare our GraphQL APIs and clients for production.

PhotoShare App
---
* [PhotoShare Client](https://github.com/MoonHighway/learning-graphql/tree/master/chapter-07/photo-share-client)
* [PhotoShare API](https://github.com/MoonHighway/learning-graphql/tree/master/chapter-07/photo-share-api)
* [Mock PhotoShare API](https://github.com/MoonHighway/learning-graphql/tree/master/chapter-07/mock-photo-share-api)

Resource Links
------
### Subscriptions and File Uploads
* [GraphQL Subscriptions](http://www.graphql.org): Apollo's documentation for GraphQL Subscriptions with Apollo Server 2.0
* [apollo-upload-server](https://github.com/jaydenseric/apollo-upload-server): Adding file upload capabilities to Apollo Server
* [apollo-upload-client](https://github.com/jaydenseric/apollo-upload-client): Adding file upload capabilities to Apollo Client

### Security and Monitoring
* [Apollo Engine](https://www.apollographql.com/engine): A GraphQL gateway for monitoring and metrics. 
* [Apollo CLI](https://www.npmjs.com/package/apollo): This CLI provides tools for schema validation, codegen, and type linting. 
* [Apollo Server Mocking](https://www.apollographql.com/docs/apollo-server/v2/features/mocking.html): Mock your GraphQL server based on the schema.
* [graphql-depth-limit](https://www.npmjs.com/package/graphql-depth-limit): Limit complexity of queries by depth with this npm package.
* [graphql-validation-complexity](https://www.npmjs.com/package/graphql-validation-complexity): Limit query complexity with this npm package.

### Related Projects
* [Schema Stitching](https://www.apollographql.com/docs/graphql-tools/schema-stitching.html): Create a single GraphQL schema from multiple GraphQL APIs.
* [Prisma](https://www.prisma.io/): A tool that turns your existing database into a GraphQL API.
* [AWS AppSync](https://aws.amazon.com/appsync/): A suite of GraphQL tools from Amazon Web Services.

### GraphQL on Slack
* [GraphQL Slack](https://graphql-slack.herokuapp.com/)
* [Apollo Slack](https://www.apollographql.com/#slack)
* [Graphcool Slack](https://slack.graph.cool/)

### GraphQL Events
* [GraphQL Summit](https://summit.graphql.com/): A conference organized by Apollo GraphQL. 
* [GraphQL Europe](https://www.graphql-europe.org/): A non-profit GraphQL conference in Europe. 
* [GraphQL Day](https://www.graphqlday.org/): A hands-on developer conference in the Netherlands. 
* [GraphQL Finland](https://graphql-finland.fi/): A community-organized GraphQL conference in Helsinki, Finland. 